VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::DatacenterTypes::Info Class Reference

The `Datacenter.Info` class contains information about a datacenter in vCenter Server. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetName ()
| The name of the datacenter.
void | SetName (string name)
| The name of the datacenter.
string | GetDatastoreFolder ()
| The root datastore folder associated with the datacenter.
void | SetDatastoreFolder (string datastoreFolder)
| The root datastore folder associated with the datacenter.
string | GetHostFolder ()
| The root host and cluster folder associated with the datacenter.
void | SetHostFolder (string hostFolder)
| The root host and cluster folder associated with the datacenter.
string | GetNetworkFolder ()
| The root network folder associated with the datacenter.
void | SetNetworkFolder (string networkFolder)
| The root network folder associated with the datacenter.
string | GetVmFolder ()
| The root virtual machine folder associated with the datacenter.
void | SetVmFolder (string vmFolder)
| The root virtual machine folder associated with the datacenter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Datacenter.Info` class contains information about a datacenter in vCenter Server.

## Constructor & Destructor Documentation

vmware::vcenter::DatacenterTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::DatacenterTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::DatacenterTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::DatacenterTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::DatacenterTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::DatacenterTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::DatacenterTypes::Info::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::DatacenterTypes::Info::GetDatastoreFolder | ( |  | ) | `[inline]`

The root datastore folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

override int vmware::vcenter::DatacenterTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::DatacenterTypes::Info::GetHostFolder | ( |  | ) | `[inline]`

The root host and cluster folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

string vmware::vcenter::DatacenterTypes::Info::GetName | ( |  | ) | `[inline]`

The name of the datacenter.

string vmware::vcenter::DatacenterTypes::Info::GetNetworkFolder | ( |  | ) | `[inline]`

The root network folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

string vmware::vcenter::DatacenterTypes::Info::GetVmFolder | ( |  | ) | `[inline]`

The root virtual machine folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::DatacenterTypes::Info::SetDatastoreFolder | ( | string | datastoreFolder | ) | `[inline]`

The root datastore folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::DatacenterTypes::Info::SetHostFolder | ( | string | hostFolder | ) | `[inline]`

The root host and cluster folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::DatacenterTypes::Info::SetName | ( | string | name | ) | `[inline]`

The name of the datacenter.

void vmware::vcenter::DatacenterTypes::Info::SetNetworkFolder | ( | string | networkFolder | ) | `[inline]`

The root network folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::DatacenterTypes::Info::SetVmFolder | ( | string | vmFolder | ) | `[inline]`

The root virtual machine folder associated with the datacenter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

override string vmware::vcenter::DatacenterTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DatacenterTypes.cs